Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Class AbstractSkinFactory

    java.lang.Object
      org.richfaces.skin.SkinFactory
          org.richfaces.skin.AbstractSkinFactory

Direct Known Subclasses:
  SkinFactoryImpl

    public abstract class AbstractSkinFactory

extends org.richfaces.skin.SkinFactory

Author:
  Nick Belaevski

Constructor Summary
`AbstractSkinFactory()`

Method Summary
`protected org.richfaces.skin.Skin` | `buildSkin(javax.faces.context.FacesContext context, java.lang.String name)` Factory method for build skin from properties files.
`org.richfaces.skin.Skin` | `getSkin(javax.faces.context.FacesContext context, java.lang.String name)`
`protected java.util.Properties` | `loadProperties(java.lang.String name, java.lang.String[] paths)`
`protected void` | `processProperties(javax.faces.context.FacesContext context, java.util.Map<java.lang.Object,java.lang.Object> properties)`

Methods inherited from class org.richfaces.skin.SkinFactory
`getBaseSkin, getDefaultSkin, getInstance, getInstance, getSkin, getTheme`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSkinFactory

    public AbstractSkinFactory()

Method Detail

### processProperties

    protected void processProperties(javax.faces.context.FacesContext context,
                                     java.util.Map<java.lang.Object,java.lang.Object> properties)

### buildSkin

    protected org.richfaces.skin.Skin buildSkin(javax.faces.context.FacesContext context,
                                                java.lang.String name)
                                         throws org.richfaces.skin.SkinNotFoundException

  Factory method for build skin from properties files. for given skin name, search in classpath all resources with name 'name'.skin.properties and append in content to default properties. First, get it from META-INF/skins/ , next - from root package. for any place search order determined by `ClassLoader` realisation.

  Parameters:
    `name` - name for builded skin.
    `defaultProperties` -
  Returns:
    skin instance for current name
  Throws:
    `SkinNotFoundException` - - if no skin properies found for name.

### loadProperties

    protected java.util.Properties loadProperties(java.lang.String name,
                                                  java.lang.String[] paths)
                                           throws org.richfaces.skin.SkinNotFoundException

  Parameters:
    `name` -
    `paths` -
  Returns:
  Throws:
    `SkinNotFoundException`

### getSkin

    public org.richfaces.skin.Skin getSkin(javax.faces.context.FacesContext context,
                                           java.lang.String name)

  Specified by:
    `getSkin` in class `org.richfaces.skin.SkinFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.